Subject: bug#61937: closed (Re: bug#60418: [PATCH] Add :vc keyword to use-package)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 May 2023 19:31:02 +0000

Your bug report

#60418: 29.0.60; [FR] use-package :ensure to allow vc sources

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60418: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60418
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60418: [PATCH] Add :vc keyword to use-package
From: Philip Kaludercic <[email-masked]>
To: Tony Zorman <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 16 May 2023 19:30:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philip Kaludercic <[email-masked]> writes:

> Tony Zorman <[email-masked]> writes:
>
>> On Sat, May 06 2023 18:50, Philip Kaludercic wrote:
>>> Eli Zaretskii <[email-masked]> writes:
>>>>                                       I understand that in most cases
>>>> users will want to install the latest, 
>>>
>>> I don't know if that is the case.  I might be wrong that the revision of
>>> the latest release is a good default?  Tony, do you think we should add
>>> a user-option to regulate this behaviour.
>>
>> It's certainly my default to install the latest commit of a package
>> instead of the latest release. I don't know how general this desire is
>> among other people, but an option for controlling the specific behaviour
>> sounds great in either case.
>
> OK, so it might make sense to address this at a later point with a
> another patch.
>
> For now, what issues remain to be resolved before these patches can be
> applied?

Reviewing the thread, I think everything was ready (aside from a few
things that I promised to take care of), so I've pushed the change to
master.  Thank you for your contribution!

Subject: 29.0.60; [FR] use-package :ensure to allow vc sources
From: Ruijie Yu <[email-masked]>
To: [email-masked]
Date: Fri, 03 Mar 2023 22:57:36 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I have been using straight.el [1] before `use-package' was taken into
emacs.git, as I needed to use some packages not from any elpa source but
from vc sources.  I recently noticed the function `package-vc-install'
has been introduced into 29, and would like to have `use-package' use it
in its :ensure form.

An analogous version from straight.el has already been made available,
which looks like the following:

    (use-package foo
      :straight (foo :repo "https://path.to/foo.el" :type git))

My hope is to extend :ensure form so that a similar specification can be
supplied to install packages directly from vc sources.

[1]: https://github.com/radian-software/straight.el

--
Best,

RY